\begin{tikzpicture}[scale=1.5]
	% Background grid, should be drawn first so that is at the bottom
	\draw[
		step=0.20,
		gray!20,
		very thin,
	]
		(-3, -3) grid +(6, 6);

	\draw[
		step=1,
		gray,
		very thin,
	]
		(-3, -3) grid +(6, 6);

	% Horizontal axis
	\draw (-3, 0) -- (3, 0);

	% Vertical axis
	\draw (0, -3) -- (0, 3);

	% Square in top-left quadrant,
	% filled and outlined
	\filldraw[
		fill=green!20,
		draw=green!50!black,
	]
		(-2.80, 2.80) rectangle (-0.20, 0.20);

	% Circle in top-right quadrant,
	% ball shading
	\shade[ball color=green]
		(1.50, 1.50) circle [radius=1.30];

	% Rectangle in bottom-left quadrant,
	% only filled
	\fill[green!20] (-2.80, -1.00) rectangle (-0.20, -2.00);

	% Ellipse in bottom-right quadrant,
	% filled, rotated, and outlined
	\coordinate (ellipse center) at (1.50, -1.50);
	\filldraw[
		fill=green!20,
		draw=green!50,
		rotate around={45: (ellipse center)}
	]
		(ellipse center) ellipse [x radius=1.50, y radius=0.50];
\end{tikzpicture}
